Уязвимость BDU:2021-06099

Дата: 26.04.2021. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2021-06099.

Наименование уязвимости: Уязвимость функции mod_proxy_uwsgi веб-сервера Apache HTTP Server, позволяющая нарушителю вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость функции mod_proxy_uwsgi веб-сервера Apache HTTP Server связана со считыванием данных за пределами заданного буфера. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, вызвать отказ в обслуживании приложения с помощью uri-path запроса
Уязвимое ПО: Операционная система ООО «РусБИТех-Астра» Astra Linux Special Edition 1.6 «Смоленск» | Операционная система Novell Inc. Suse Linux Enterprise Server 11 SP4 | Операционная система Red Hat Inc. Red Hat Enterprise Linux 8 | Операционная система Novell Inc. Suse Linux Enterprise Server 12 SP2-BCL | Операционная система Novell Inc. Suse Linux Enterprise Server 12 SP3-LTSS | Операционная система Novell Inc. Suse Linux Enterprise Server 12 SP3-BCL | Операционная система Novell Inc. Suse Linux Enterprise Server 12 SP5 | Прикладное ПО информационных систем Red Hat Inc. Red Hat Software Collections — | Операционная система Novell Inc. Suse Linux Enterprise Server 12 SP3-ESPOS | Прикладное ПО информационных систем Red Hat Inc. JBoss Core Services — | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise High Performance Computing 12 SP5 | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise High Performance Computing 15-LTSS | Операционная система Novell Inc. Suse Linux Enterprise Server 15-LTSS | Операционная система Novell Inc. Suse Linux Enterprise Server 11 SP3 | Операционная система Novell Inc. Suse Linux Enterprise Server 12 SP4 LTSS | Операционная система Novell Inc. Suse Linux Enterprise Server 12 SP4-ESPOS | Операционная система Novell Inc. Suse Linux Enterprise Server 15-ESPOS | Операционная система Novell Inc. Suse Linux Enterprise Server 15 SP1-LTSS | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS | Сетевое программное средство Apache Software Foundation Apache HTTP Server от 2.4.30 до 2.4.48 включительно | Операционная система ООО «Юбитех» UBLinux до 2109 | Операционная система ООО «РусБИТех-Астра» Astra Linux Special Edition 1.7 | Операционная система ООО «РусБИТех-Астра» Astra Linux Special Edition 4.7 |

Наименование ОС и тип аппаратной платформы: Astra Linux Special Edition 16 «Смоленск» | Suse Linux Enterprise Server 11 SP4 | Red Hat Enterprise Linux 8 | Suse Linux Enterprise Server 12 SP2-BCL | Suse Linux Enterprise Server 12 SP3-LTSS | Suse Linux Enterprise Server 12 SP3-BCL | Suse Linux Enterprise Server 12 SP5 | Suse Linux Enterprise Server 12 SP3-ESPOS | Suse Linux Enterprise Server 15-LTSS | Suse Linux Enterprise Server 11 SP3 | Suse Linux Enterprise Server 12 SP4 LTSS | Suse Linux Enterprise Server 12 SP4-ESPOS | Suse Linux Enterprise Server 15-ESPOS | Suse Linux Enterprise Server 15 SP1-LTSS | UBLinux до 2109 | Astra Linux Special Edition 17 | Astra Linux Special Edition 47 |
Дата выявления: 26.04.2021.
CVSS 2.0: AV:N/AC:L/Au:N/C:N/I:N/A:C
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,8)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,5)

Возможные меры по устранению:
Использование рекомендаций:
Для веб-сервера Apache HTTP Server:
http://httpd.apache.org/security/vulnerabilities_24.html

Для программных продуктов Novell Inc.:
https://www.suse.com/security/cve/CVE-2021-36160.html

Для программных продуктов Red Hat Inc.:
https://access.redhat.com/security/cve/cve-2021-36160

Для UBLinux:

https://security.ublinux.ru/CVE-2021-36160

Для Astra Linux:
использование рекомендаций производителя: https://wiki.astralinux.ru/astra-linux-se16-bulletin-20211126SE16
использование рекомендаций производителя: https://wiki.astralinux.ru/astra-linux-se17-bulletin-2021-1126SE17
использование рекомендаций производителя: https://wiki.astralinux.ru/astra-linux-se47-bulletin-2022-0114SE47.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Существует в открытом доступе
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2021-36160.

Тип ошибки CWE: CWE-125
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://access.redhat.com/security/cve/cve-2021-36160
https://nvd.nist.gov/vuln/detail/CVE-2021-36160
https://security.ublinux.ru/CVE-2021-36160
https://www.debian.org/security/2021/dsa-4982
https://wiki.astralinux.ru/astra-linux-se16-bulletin-20211126SE16
https://wiki.astralinux.ru/astra-linux-se17-bulletin-2021-1126SE17
https://wiki.astralinux.ru/astra-linux-se47-bulletin-2022-0114SE47

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован.